[device]
device=Tiny861
DeviceID=$1E930D
HLL=true
HVP=true
LVP=true
POLL=$FF
PollRdy=true
MOVW=true
LPMinc=true
pintoggle=true
PageSize=64
EEpage=4
enhancedcore=true
ExtTCCR=true

[fuses]
fuses=0
fuse05=0
fuse11=0
fuse40=0
rcen=0
ReadLock=true

[lockbitsWR0]
Adr=16
Mask=$03
cmd=$ACE00000
0=LOCKBIT1
1=LOCKBIT2

[lockbitsRD0]
Adr=0
Mask=$03
cmd=$58000000
0=LOCKBIT2
1=LOCKBIT1

[FusebitsWR0]
Adr=0
Mask=$FF
cmd=$ACA00000
0=CKSEL0
1=CKSEL1
2=CKSEL2
3=CKSEL3
4=SUT0
5=SUT1
6=CKOUT
7=CKDIV8

[FusebitsRD0]
Adr=0
Mask=$FF
cmd=$50000000
0=CKSEL0
1=CKSEL1
2=CKSEL2
3=CKSEL3
4=SUT0
5=SUT1
6=CKOUT
7=CKDIV8

[FusebitsWR1]
Adr=0
Mask=$DF
cmd=$ACA80000
0=BODLEVEL0
1=BODLEVEL1
2=BODLEVEL2
3=EESAVE
4=WDTON
6=DWEN
7=RSTDISBL

[FusebitsRD1]
Adr=0
Mask=$Ff
cmd=$58080000
0=BODLEVEL0
1=BODLEVEL1
2=BODLEVEL2
3=EESAVE
4=WDTON
5=SPIEN
6=DWEN
7=RSTDISBL

[FusebitsWR2]
Adr=0
Mask=$01
cmd=$ACA40000
0=SELFPRGEN

[FusebitsRD2]
Adr=0
Mask=$01
cmd=$50080000
0=SELFPRGEN

[Specials0]
Mode=RD
name=Calibration
cmd=$38000000
Mask=$ff
Adr=0
calbytes=1
CalByte0=8MHz

[memory]
datastart=$0
dataend=$1f

pdatastart=$20
pdataend=$5f

idatastart=$0060
idataend=$25f

eepromstart=$0
eepromend=$1ff

romtotstart=$0
romtotend=$1fff

[stack]
stackptrsize=16
StackStart=0
StackEnd=0
FrameEnd=18
PCsize=16

[controlregs_W]
adc=$24

[controlregs]
sreg=$5f
sph=$5e
spl=$5d
gimsk=$5b
gifr=$5a
timsk=$59
timsk0=$59
tifr=$58
tifr0=$58
spmcr=$57
spmcsr=$57
mcucr=$55
mcucsr=$54
mcusr=$54
tccr0b=$53
tccr0=$53
tcnt0=$52
tcnt0l=$52
osccal=$51

tccr1a=$50
tccr1b=$4f
tcnt1=$4e
tcnt1l=$4e
ocr1a=$4d
ocr1al=$4d
ocr1b=$4c
ocr1bl=$4c
ocr1c=$4b
ocr1cl=$4b
ocr1d=$4a
ocr1dl=$4a
pllcsr=$49
clkpr=$48
tccr1c=$47
tccr1d=$46
tc1h=$45
dt1=$44

pcmsk0=$43
pcmsk1=$42
wdtcr=$41
wdtcsr=$41
dwdr=$40

eearh=$3f
eearl=$3e
eear=$3e
eedr=$3d
eecr=$3c

porta=$3b
ddra=$3a
pina=$39
portb=$38
ddrb=$37
pinb=$36

tccr0a=$35
tcnt0h=$34
ocr0a=$33
ocr0b=$32

usipp=$31
usibr=$30
usidr=$2f
usisr=$2e
usicr=$2d

gpior2=$2c
gpior1=$2b
gpior0=$2a

acsrb=$29
acsra=$28
acsr=$28
admux=$27
adcsr=$26
adcsra=$26
adch=$25
adcl=$24
adcsrb=$23

didr1=$22
didr0=$21
tccr1e=$20

[PortMasks]

[controlbits]
toie0=2
tov0=2
ocie0=$10
ocie0a=$10
ocie0b=8

toie1=4
tov1=4
ocie1a=$40
ocie1b=$20

ctc1=0
ctc2=1
wgm01=0
wgm12=1

[interruptvectors]
vectormethod=RJMP
nrofvectors=19
vectnr0=RESET
vectnr1=INT0
vectnr2=PCINT0
vectnr3=TIMER1COMPA
vectnr4=TIMER1COMPB
vectnr5=TIMER1
vectnr6=TIMER0
vectnr7=USISTART
vectnr8=USIOVF
vectnr9=EERDY
vectnr10=ACOMP
vectnr11=ADCRDY
vectnr12=WATCHDOGOVR
vectnr13=INT1
vectnr14=TIMER0COMPA
vectnr15=TIMER0COMPB
vectnr16=TIMER0CAPT
vectnr17=TIMER1COMPD
vectnr18=FAULTPROT

[PCINT]
PCINT0=PinA
PCINT1=PinB
PCICR=GIMSK
PCIFR=GIFR
PCIF0=4
PCIFmask=$30

[peripheral]
timer0=true
adc=11
CMPPort=PORTA
CMPmask=$c0

[timer1]

[extint0]
mask=GIMSK
flag=GIFR
bit=6
port=PINB
pin=6

[extint1]
mask=GIMSK
flag=GIFR
bit=7
port=PINA
pin=2

[SysTick]
1=1
2=8
3=64
4=256
5=1024
6=0
7=0

